<?php declare(strict_types=1);

use Symfony\Component\DependencyInjection\Loader\Configurator\ContainerConfigurator;
use Symfony\Config\FrameworkConfig;

return static function (
    ContainerConfigurator $containerConfigurator,
    FrameworkConfig $frameworkConfig,
): void {
    $frameworkConfig->assetMapper()
        ->path('assets/', true)
        ->missingImportMode('strict')
        ->importmapPolyfill(false)
    ;
    if ($containerConfigurator->env() === 'prod') {
        $frameworkConfig->assetMapper()
            ->missingImportMode('warn');
    }
};
