<?php declare(strict_types=1);

use Symfony\Component\DependencyInjection\Loader\Configurator\ContainerConfigurator;
use Symfony\Config\TwigConfig;

return static function (
    ContainerConfigurator $containerConfigurator,
    TwigConfig $twig,
): void {
    if ($containerConfigurator->env() === 'test') {
        $twig->strictVariables(true);
    }
    $twig->formThemes(['bootstrap_5_layout.html.twig']);
    $twig->fileNamePattern('*.twig');
    $twig->global('favicon', '@App\Service\Favicon');
};
